aboutsummaryrefslogtreecommitdiffstats
path: root/recipes-bsp/lt9611uxc-upgrade/lt9611uxc-upgrade/lt9611uxc-upgrade.sh
diff options
context:
space:
mode:
Diffstat (limited to 'recipes-bsp/lt9611uxc-upgrade/lt9611uxc-upgrade/lt9611uxc-upgrade.sh')
-rw-r--r--recipes-bsp/lt9611uxc-upgrade/lt9611uxc-upgrade/lt9611uxc-upgrade.sh2
1 files changed, 1 insertions, 1 deletions
diff --git a/recipes-bsp/lt9611uxc-upgrade/lt9611uxc-upgrade/lt9611uxc-upgrade.sh b/recipes-bsp/lt9611uxc-upgrade/lt9611uxc-upgrade/lt9611uxc-upgrade.sh
index 0886980..9f72525 100644
--- a/recipes-bsp/lt9611uxc-upgrade/lt9611uxc-upgrade/lt9611uxc-upgrade.sh
+++ b/recipes-bsp/lt9611uxc-upgrade/lt9611uxc-upgrade/lt9611uxc-upgrade.sh
@@ -13,7 +13,7 @@ if [ ! -d /sys/bus/i2c/drivers/lt9611uxc ] ; then
fi
for f in /sys/bus/i2c/drivers/lt9611uxc/* ; do
- [ -L $f ] || continue
+ [ -e $f/lt9611uxc_firmware ] || continue
version=`cat $f/lt9611uxc_firmware`
if [ "$version" -lt "43" ] ; then
echo > $f/lt9611uxc_firmware